SystemOrganization addCategory: #'JQueryMobile-Tests-Email'!

TestCase subclass: #TestEmailEncodeForUrl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Email'!

!TestEmailEncodeForUrl methodsFor: 'tests' stamp: 'NickAger 10/4/2011 11:48'!
testMultipleToCcBccSubjectBody
	| message |
	message := WAEmailMessage new
		addTo: 'seaside@lists.squeakfoundation.org';
		addTo: 'pharo-project@lists.gforge.inria.fr';
		addCc: 'pharo-project@lists.gforge.inria.fr';
		addCc: 'seaside@lists.squeakfoundation.org';
		addBcc: 'esug-list@lists.esug.org';
		addBcc: 'seaside@lists.squeakfoundation.org';
		subject: 'JQuery Mobile Seaside integration is great';
		body: 'check it out'.
	
	self assert: message encodeForUrl equals: 'mailto:seaside@lists.squeakfoundation.org,pharo-project@lists.gforge.inria.fr?cc=pharo-project@lists.gforge.inria.fr,seaside@lists.squeakfoundation.org&bcc=esug-list@lists.esug.org,seaside@lists.squeakfoundation.org&subject=JQuery%20Mobile%20Seaside%20integration%20is%20great&body=check%20it%20out'	.	! !

!TestEmailEncodeForUrl methodsFor: 'tests' stamp: 'NickAger 10/4/2011 11:47'!
testToCcBccSubjectBody
	| message |
	message := WAEmailMessage new
		addTo: 'seaside@lists.squeakfoundation.org';
		addCc: 'pharo-project@lists.gforge.inria.fr';
		addBcc: 'esug-list@lists.esug.org';
		subject: 'JQuery Mobile Seaside integration is great';
		body: 'check it out'.
	
	self assert: message encodeForUrl equals: 'mailto:seaside@lists.squeakfoundation.org?cc=pharo-project@lists.gforge.inria.fr&bcc=esug-list@lists.esug.org&subject=JQuery%20Mobile%20Seaside%20integration%20is%20great&body=check%20it%20out'	.	! !

!TestEmailEncodeForUrl methodsFor: 'tests' stamp: 'NickAger 10/4/2011 11:32'!
testToSubjectBody
	| message |
	message := WAEmailMessage new
		addTo: 'seaside@lists.squeakfoundation.org';
		subject: 'JQuery Mobile Seaside integration is great';
		body: 'check it out'.
	
	self assert: message encodeForUrl equals: 'mailto:seaside@lists.squeakfoundation.org?subject=JQuery%20Mobile%20Seaside%20integration%20is%20great&body=check%20it%20out'	.	! !
